GNU bug report logs - #47494
28.0.50; describe-mode is now slow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mark Oteiza <mvoteiza@HIDDEN>; Keywords: patch confirmed; merged with #45379, #47565, #48812; dated Tue, 30 Mar 2021 06:14:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 45379 47494 47565 48812. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 45379 47494 47565. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 45379 47494. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47494 <at> debbugs.gnu.org:


Received: (at 47494) by debbugs.gnu.org; 30 Mar 2021 06:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 30 02:58:19 2021
Received: from localhost ([127.0.0.1]:50222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lR8KR-000870-5q
	for submit <at> debbugs.gnu.org; Tue, 30 Mar 2021 02:58:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1lR8KP-00086i-Be; Tue, 30 Mar 2021 02:58:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60813)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lR8KJ-0002so-SH; Tue, 30 Mar 2021 02:58:11 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4948
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lR8KI-0002k0-J5; Tue, 30 Mar 2021 02:58:11 -0400
Date: Tue, 30 Mar 2021 09:58:21 +0300
Message-Id: <83a6qlku0i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mark Oteiza <mvoteiza@HIDDEN>
In-Reply-To: <YGLBdVAFr1zvDQA3@HIDDEN> (message from Mark Oteiza on
 Tue, 30 Mar 2021 02:13:09 -0400)
Subject: Re: bug#47494: 28.0.50; describe-mode is now slow
References: <YGLBdVAFr1zvDQA3@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47494
Cc: 47494 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 47494 45379
thanks

> Date: Tue, 30 Mar 2021 02:13:09 -0400
> From: Mark Oteiza <mvoteiza@HIDDEN>
> 
> >From -Q: C-h m
> 
> Takes about a second here.  Looking at the profiler, it's split between
> some new function and the garbage collector:
> 
>          118  52% - #<compiled 0x97675bce2c2c377>
>          118  52%  - mapatoms
>          118  52%   + help-fns--list-local-commands
>           92  41%   Automatic GC
>           <snip>
> 
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=98e3ee27472

This is a known bug#45379, we are trying to solve it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47494; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Mar 2021 06:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 30 02:13:21 2021
Received: from localhost ([127.0.0.1]:50149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lR7cu-0006wo-PM
	for submit <at> debbugs.gnu.org; Tue, 30 Mar 2021 02:13:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:35648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mvoteiza@HIDDEN>) id 1lR7cr-0006wd-NI
 for submit <at> debbugs.gnu.org; Tue, 30 Mar 2021 02:13:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48840)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mvoteiza@HIDDEN>) id 1lR7cr-0007LE-Hr
 for bug-gnu-emacs@HIDDEN; Tue, 30 Mar 2021 02:13:17 -0400
Received: from mail-qv1-xf32.google.com ([2607:f8b0:4864:20::f32]:37509)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mvoteiza@HIDDEN>) id 1lR7cm-0001V3-7t
 for bug-gnu-emacs@HIDDEN; Tue, 30 Mar 2021 02:13:17 -0400
Received: by mail-qv1-xf32.google.com with SMTP id iu14so2058807qvb.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 29 Mar 2021 23:13:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=udel.edu; s=google-20200914;
 h=date:from:to:subject:message-id:mime-version:content-disposition;
 bh=hW6K+Kw+2UJwRuP/SMmu3WELl65S34KJpSKSfz6hRp0=;
 b=DfBBXxYxdNuj+oGrgl3RYYD1WhgN9kL0d1+wZVY0nUxHIfmhgIxuln0b6d8KPgWExe
 a5h8gl6hrzw3IrTbHpke1lPJBDtQ8Oi4FtP0uygDzAs/EtnZ5nVkz9nNOqeGonZqdJDt
 2sLJareJNSVtMqmA3zUfQIEsxl/nOfszLFPm6tqO7jMDh46LibNNU95Y1b2SO712hdi2
 H/tOAEE0UlhQm12KZAzQI4kGqc1QF+1IDKdpJaEbK5iwJlo5GzL2fkRD/FZ7eNDMNmby
 B8c1W7PGW3ueeWhzClnyVzTZalECd9R/KoLZVyvKGbo0/sQ3AiDQ3PoUrx0FNbFt1ePv
 XqLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:subject:message-id:mime-version
 :content-disposition;
 bh=hW6K+Kw+2UJwRuP/SMmu3WELl65S34KJpSKSfz6hRp0=;
 b=OvbErb/Nz8za1oLXajWb8qPuXZetneB1hpyCyLfFaS+mmFIg2Yea651S9XcPiQ486K
 lVnpfmY5yuspG9/PwMyN+04w8sikGw63crCQ/JdU5kR5/dr6XaDJsiXiOmn3aaxSFSj9
 kon7JGE88nSKqfsu4ZVGe+4IEXzAeFTjuQMCenelvPhmcXuVw4eTUeEx2JTNxPNTzjh+
 HKdQ5zTRppPlAGbxC9JL3UGpP8vyWsty65MRAPOGv5RQwYP3D8WbyWrvaqdP7HFVjrkz
 Yoj7Ks2gTNZhaILNeDm01nJ+kn9bgUHBqqp0mGRo1oQjTlSVGalf1KtCfRymahME0w56
 Ku8Q==
X-Gm-Message-State: AOAM531LnQMS27LzOLQrfrRv8eTB5/sngEbVsjUDKZnfkXmEQAZzLTcf
 nbYffjt8bFeIIQ80JPI2bU0CyiVOTYtZbg==
X-Google-Smtp-Source: ABdhPJy6dPr24LOrEUp0rUupUpGHtgFG8FmbH7Zkz9sOmHwzjzMrHeuqls9OR3S0u48zyy85QhoOCg==
X-Received: by 2002:ad4:5e8b:: with SMTP id jl11mr28941129qvb.50.1617084790746; 
 Mon, 29 Mar 2021 23:13:10 -0700 (PDT)
Received: from logos.localdomain ([2601:144:c100:d150:9a48:27ff:fe52:a653])
 by smtp.gmail.com with ESMTPSA id l14sm12631947qtp.4.2021.03.29.23.13.10
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 29 Mar 2021 23:13:10 -0700 (PDT)
Date: Tue, 30 Mar 2021 02:13:09 -0400
From: Mark Oteiza <mvoteiza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; describe-mode is now slow
Message-ID: <YGLBdVAFr1zvDQA3@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: pass client-ip=2607:f8b0:4864:20::f32;
 envelope-from=mvoteiza@HIDDEN; helo=mail-qv1-xf32.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From -Q: C-h m

Takes about a second here.  Looking at the profiler, it's split between
some new function and the garbage collector:

         118  52% - #<compiled 0x97675bce2c2c377>
         118  52%  - mapatoms
         118  52%   + help-fns--list-local-commands
          92  41%   Automatic GC
          <snip>

https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=98e3ee27472


In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw scroll bars)
 of 2021-03-30 built on logos
Repository revision: 4bfcfdb41638f37c89c0db8f297707773c677656




Acknowledgement sent to Mark Oteiza <mvoteiza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47494; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 3 Jun 2021 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.